Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026132
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-04-01 11:172014-05-07 18:11
ReporterVictorVillarView Statuspublic 
Assigned Toguillermogil 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision28afef865651
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026132: wrong visualization value of quantity fields with very small numbers

Descriptionwrong visualization value of quantity fields with very small numbers
Steps To ReproduceChange the Format.xml as follow:

   <Number name="qtyRelation"
       decimal="." grouping="," formatOutput="#,##0.#######" formatInternal="#0.0000000" />
   <Number name="qtyEdition"
       decimal="." grouping="," formatOutput="#0.#######" formatInternal="#0.0000000" />
   <Number name="qtyExcel"
       decimal="." grouping="," formatOutput="#,##0.#######" formatInternal="#0.0000000" />

As group admin role:
  Go to Sales Order
    create a new one
   Go to Sales Order line:
     qty: 0.0000007
first error: the visualization is 7e-7, should be 0.0000007

second error: qty 0.00000078
     after that, change the focus to another field, realise that the qty = 0 and if you try to save it, you receive the following error: Saving failed. Exception while trying to convert value:-->0.-7<-- null

third error:
    introduce via database the folloing qty value: 0.0000000435678489841651
 you can see in the application quantity: 4.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028561 closedcaristu OB.Utilities.Number.ScientificToDecimal does not work properly with numbers with leading zeros 
related to defect 0028720 closedalostale System is not saving big numbers properly 
related to defect 0029709 closedNaroaIriarte Cannot save a physical inventory line with a negative small number in the Book Quantity field 
related to defect 0030014 closedNaroaIriarte The function OB.Utilities.Number.OBMaskedToOBPlain is not working properly with negative big numbers 
causes defect 00285523.0PR15Q2 closedalostale Purchase Invoice amount gets truncated upon saving, when the amount is big 

-  Notes
(0066228)
hgbot (developer)
2014-04-08 10:49

Repository: erp/devel/pi
Changeset: 28afef8656512aeae764101425d2e46cd7b9d051
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Tue Apr 08 10:48:24 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/28afef8656512aeae764101425d2e46cd7b9d051 [^]

Fixed issue 26132: wrong visualization value of quantity fields with very small numbers

Created function to show always decimal notation instead scientific notation

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-number.js
---
(0066474)
shankarb (developer)
2014-04-16 07:54

Code reviewed and verified in pi changeset c25c56618b6d.
(0066901)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-01 11:17 VictorVillar New Issue
2014-04-01 11:17 VictorVillar Assigned To => AugustoMauch
2014-04-01 11:17 VictorVillar Modules => Core
2014-04-01 11:17 VictorVillar Triggers an Emergency Pack => No
2014-04-01 11:18 VictorVillar Issue Monitored: networkb
2014-04-02 15:14 alostale Target Version => PR14Q3
2014-04-03 12:08 guillermogil Assigned To AugustoMauch => guillermogil
2014-04-03 12:09 guillermogil Review Assigned To => shankarb
2014-04-03 12:09 guillermogil Issue Monitored: shankarb
2014-04-08 10:49 hgbot Checkin
2014-04-08 10:49 hgbot Note Added: 0066228
2014-04-08 10:49 hgbot Status new => resolved
2014-04-08 10:49 hgbot Resolution open => fixed
2014-04-08 10:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/28afef8656512aeae764101425d2e46cd7b9d051 [^]
2014-04-16 07:54 shankarb Note Added: 0066474
2014-04-16 07:54 shankarb Status resolved => closed
2014-04-16 07:54 shankarb Fixed in Version => PR14Q3
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066901
2015-01-09 14:10 alostale Relationship added causes 0028552
2015-01-12 11:07 AugustoMauch Relationship added related to 0028561
2015-01-22 10:39 alostale Relationship added related to 0028720
2015-04-27 16:43 ngarcia Relationship added related to 0029709
2015-05-26 13:22 NaroaIriarte Relationship added related to 0030014


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker